I have a lsp that I use to insert seqential numbers into a room or door schedule, it's pretty basic. (defun c:brsobjno () (setq a (getint "Enter First Number:"))(terpri) (setq x 1) (while x (command "-layer" "set" "A-Text" "")(terpri) (command "-color" "BYLAYER" "")(terpri) (command "text" "j" "mc" pause "0" a)(terpri) (setq a (+ a 1)) (princ)(terpri) ) ) They way it is written now it prompts me for an insertion point for each piece of text. What I want to do is prompt me for one intial point (1st number at top of door schedule), then offset the remain text to a specified distance (the spacing of my door schedule). Probably pretty basic, but I'm just learning. =) Thanks in advance, -Jason